@import '../../variables.scss';

.carousel {

  margin-bottom: 100px;
  height: 670px;
  position: relative;
  background: linear-gradient(to bottom, transparent, rgba(0, 0, 0, 0.1));

  .btns {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;

    display: flex;
    flex-flow: row nowrap;
    align-items: stretch;

    .btn {
      width: 50%;
      display: flex;
      flex-flow: column;
      justify-content: flex-end;

      img {
        cursor: pointer;
        width: 40px;
        filter: drop-shadow(0px 0 10px $primary-color);
      }
    }

    .btn-left {
      img {
        transform: rotate(-180deg);
      }

      &:active {
        background: linear-gradient(to left, transparent, rgba(0, 0, 0, 0.1));
      }
    }

    .btn-right {
      img {
        align-self: flex-end;
      }

      &:active {
        background: linear-gradient(to right, transparent, rgba(0, 0, 0, 0.1));
      }
    }
  }

  .content {
    height: 100%;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;

    .pages {
      .image {
        width: 100vw;
        height: 100%;
        display: flex;
        align-items: center;

        img {
          width: 100vw;
        }
      }
    }
  }
}

@media (min-width:$break-1) {
  .carousel {

    height: 650px;

    .btns {
      .btn {
        img {
          width: 60px;
          margin-bottom: 45%;
        }
      }
    }

    .content {

      .pages {
        display: flex;
        justify-content: center;

        .image {
          display: flex;
          justify-content: center;

          img {
            width: 800px;
          }
        }
      }
    }
  }
}
